org.eclipse.oomph.setup.impl

## Class VariableTaskImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.oomph.base.impl.ModelElementImpl
          - - org.eclipse.oomph.setup.impl.SetupTaskImpl
            - - org.eclipse.oomph.setup.impl.VariableTaskImpl

- All Implemented Interfaces:
    Notifier, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, ModelElement, SetupTask, VariableTask

      public class VariableTaskImpl
      extends SetupTaskImpl
      implements VariableTask

  An implementation of the model object 'Context Variable Task'.

  The following features are implemented:

  - `Type`
  - `Name`
  - `Value`
  - `Default Value`
  - `Store Prompted Value`
  - `Storage URI`
  - `Label`
  - `Choices`
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.oomph.setup.impl.SetupTaskImpl

      `SetupTaskImpl.RunnableWithContext, SetupTaskImpl.TypedStringToken`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected EList<VariableChoice>` | `choices` The cached value of the '`Choices`' containment reference list.
    `protected static String` | `DEFAULT_VALUE_EDEFAULT` The default value of the '`Default Value`' attribute.
    `protected String` | `defaultValue` The cached value of the '`Default Value`' attribute.
    `protected String` | `label` The cached value of the '`Label`' attribute.
    `protected static String` | `LABEL_EDEFAULT` The default value of the '`Label`' attribute.
    `protected String` | `name` The cached value of the '`Name`' attribute.
    `protected static String` | `NAME_EDEFAULT` The default value of the '`Name`' attribute.
    `protected static URI` | `STORAGE_URI_EDEFAULT` The default value of the '`Storage URI`' attribute.
    `protected URI` | `storageURI` The cached value of the '`Storage URI`' attribute.
    `protected static boolean` | `STORE_PROMPTED_VALUE_EDEFAULT` The default value of the '`Store Prompted Value`' attribute.
    `protected VariableType` | `type` The cached value of the '`Type`' attribute.
    `protected static VariableType` | `TYPE_EDEFAULT` The default value of the '`Type`' attribute.
    `protected String` | `value` The cached value of the '`Value`' attribute.
    `protected static String` | `VALUE_EDEFAULT` The default value of the '`Value`' attribute.

    - ### Fields inherited from class org.eclipse.oomph.setup.impl.SetupTaskImpl

      `description, DESCRIPTION_EDEFAULT, disabled, DISABLED_EDEFAULT, excludedTriggers, iD, ID_EDEFAULT, predecessors, restrictions, SCOPE_TYPE_EDEFAULT, successors`

    - ### Fields inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `annotations`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.oomph.setup.VariableTask

      `DEFAULT_STORAGE_URI, INSTALLATION_STORAGE_URI, WORKSPACE_STORAGE_URI`

    - ### Fields inherited from interface org.eclipse.oomph.setup.SetupTask

      `PRIORITY_CONFIGURATION, PRIORITY_DEFAULT, PRIORITY_EARLY, PRIORITY_INSTALLATION, PRIORITY_LATE, PRIORITY_REDIRECTION`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `VariableTaskImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `consolidate()`
    `Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `NotificationChain` | `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
    `boolean` | `eIsSet(int featureID)`
    `protected void` | `eMigrate()`
    `void` | `eSet(int featureID, Object newValue)`
    `protected EClass` | `eStaticClass()`
    `void` | `eUnset(int featureID)`
    `EList<VariableChoice>` | `getChoices()`
    `String` | `getDefaultValue()`
    `String` | `getLabel()`
    `String` | `getName()`
    `Object` | `getOverrideToken()` Subclasses may override to indicate that this task overrides another task with the same token.
    `URI` | `getStorageURI()`
    `VariableType` | `getType()`
    `String` | `getValue()`
    `boolean` | `isNeeded(SetupTaskContext context)`
    `boolean` | `isStorePromptedValue()`
    `void` | `overrideFor(SetupTask overriddenSetupTask)`
    `void` | `perform(SetupTaskContext context)`
    `void` | `setDefaultValue(String newDefaultValue)`
    `void` | `setLabel(String newLabel)`
    `void` | `setName(String newName)`
    `void` | `setStorageURI(URI newStorageURI)`
    `void` | `setStorePromptedValue(boolean newStorePromptedValue)`
    `void` | `setType(VariableType newType)`
    `void` | `setValue(String newValue)`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.oomph.setup.impl.SetupTaskImpl

      `createResolvedURI, createToken, dispose, getDescription, getExcludedTriggers, getID, getPredecessors, getPriority, getRestrictions, getScope, getScopeType, getSuccessors, getTriggers, getValidTriggers, isDisabled, performUI, requires, setDescription, setDisabled, setExcludedTriggers, setExcludedTriggersGen, setID`

    - ### Methods inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `eInverseAdd, eInvoke, getAnnotation, getAnnotations`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTask

      `dispose, getDescription, getExcludedTriggers, getID, getPredecessors, getPriority, getRestrictions, getScope, getScopeType, getSuccessors, getTriggers, getValidTriggers, isDisabled, requires, setDescription, setDisabled, setExcludedTriggers, setID`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Field Detail

    - #### TYPE_EDEFAULT

          protected static final VariableType TYPE_EDEFAULT

      The default value of the '`Type`' attribute.
      See Also:
        `getType()`
      Generated
      Ordered

    - #### type

          protected VariableType type

      The cached value of the '`Type`' attribute.
      See Also:
        `getType()`
      Generated
      Ordered

    - #### NAME_EDEFAULT

          protected static final String NAME_EDEFAULT

      The default value of the '`Name`' attribute.
      See Also:
        `getName()`
      Generated
      Ordered

    - #### name

          protected String name

      The cached value of the '`Name`' attribute.
      See Also:
        `getName()`
      Generated
      Ordered

    - #### VALUE_EDEFAULT

          protected static final String VALUE_EDEFAULT

      The default value of the '`Value`' attribute.
      See Also:
        `getValue()`
      Generated
      Ordered

    - #### value

          protected String value

      The cached value of the '`Value`' attribute.
      See Also:
        `getValue()`
      Generated
      Ordered

    - #### DEFAULT_VALUE_EDEFAULT

          protected static final String DEFAULT_VALUE_EDEFAULT

      The default value of the '`Default Value`' attribute.
      See Also:
        `getDefaultValue()`
      Generated
      Ordered

    - #### defaultValue

          protected String defaultValue

      The cached value of the '`Default Value`' attribute.
      See Also:
        `getDefaultValue()`
      Generated
      Ordered

    - #### STORE_PROMPTED_VALUE_EDEFAULT

          protected static final boolean STORE_PROMPTED_VALUE_EDEFAULT

      The default value of the '`Store Prompted Value`' attribute.
      See Also:
        `isStorePromptedValue()`, Constant Field Values
      Generated
      Ordered

    - #### STORAGE_URI_EDEFAULT

          protected static final URI STORAGE_URI_EDEFAULT

      The default value of the '`Storage URI`' attribute.
      See Also:
        `getStorageURI()`
      Generated
      Ordered

    - #### storageURI

          protected URI storageURI

      The cached value of the '`Storage URI`' attribute.
      See Also:
        `getStorageURI()`
      Generated
      Ordered

    - #### LABEL_EDEFAULT

          protected static final String LABEL_EDEFAULT

      The default value of the '`Label`' attribute.
      See Also:
        `getLabel()`
      Generated
      Ordered

    - #### label

          protected String label

      The cached value of the '`Label`' attribute.
      See Also:
        `getLabel()`
      Generated
      Ordered

    - #### choices

          protected EList<VariableChoice> choices

      The cached value of the '`Choices`' containment reference list.
      See Also:
        `getChoices()`
      Generated
      Ordered

  - ### Constructor Detail

    - #### VariableTaskImpl

          protected VariableTaskImpl()

      Generated

  - ### Method Detail

    - #### eStaticClass

          protected EClass eStaticClass()

      Overrides:
        `eStaticClass` in class `SetupTaskImpl`
      Generated

    - #### getType

          public VariableType getType()

      Specified by:
        `getType` in interface `VariableTask`
      Returns:
        the value of the 'Type' attribute.
      See Also:
        `VariableType`, `VariableTask.setType(VariableType)`, `SetupPackage.getVariableTask_Type()`
      Generated

    - #### setType

          public void setType(VariableType newType)

      Specified by:
        `setType` in interface `VariableTask`
      Parameters:
        `newType` - the new value of the 'Type' attribute.
      See Also:
        `VariableType`, `VariableTask.getType()`
      Generated

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `VariableTask`
      Returns:
        the value of the 'Name' attribute.
      See Also:
        `VariableTask.setName(String)`, `SetupPackage.getVariableTask_Name()`
      Generated

    - #### setName

          public void setName(String newName)

      Specified by:
        `setName` in interface `VariableTask`
      Parameters:
        `newName` - the new value of the 'Name' attribute.
      See Also:
        `VariableTask.getName()`
      Generated

    - #### getValue

          public String getValue()

      Specified by:
        `getValue` in interface `VariableTask`
      Returns:
        the value of the 'Value' attribute.
      See Also:
        `VariableTask.setValue(String)`, `SetupPackage.getVariableTask_Value()`
      Generated

    - #### setValue

          public void setValue(String newValue)

      Specified by:
        `setValue` in interface `VariableTask`
      Parameters:
        `newValue` - the new value of the 'Value' attribute.
      See Also:
        `VariableTask.getValue()`
      Generated

    - #### getDefaultValue

          public String getDefaultValue()

      Specified by:
        `getDefaultValue` in interface `VariableTask`
      Returns:
        the value of the 'Default Value' attribute.
      See Also:
        `VariableTask.setDefaultValue(String)`, `SetupPackage.getVariableTask_DefaultValue()`
      Generated

    - #### setDefaultValue

          public void setDefaultValue(String newDefaultValue)

      Specified by:
        `setDefaultValue` in interface `VariableTask`
      Parameters:
        `newDefaultValue` - the new value of the 'Default Value' attribute.
      See Also:
        `VariableTask.getDefaultValue()`
      Generated

    - #### getLabel

          public String getLabel()

      Specified by:
        `getLabel` in interface `VariableTask`
      Returns:
        the value of the 'Label' attribute.
      See Also:
        `VariableTask.setLabel(String)`, `SetupPackage.getVariableTask_Label()`
      Generated

    - #### setLabel

          public void setLabel(String newLabel)

      Specified by:
        `setLabel` in interface `VariableTask`
      Parameters:
        `newLabel` - the new value of the 'Label' attribute.
      See Also:
        `VariableTask.getLabel()`
      Generated

    - #### getChoices

          public EList<VariableChoice> getChoices()

      Specified by:
        `getChoices` in interface `VariableTask`
      Returns:
        the value of the 'Choices' containment reference list.
      See Also:
        `SetupPackage.getVariableTask_Choices()`
      Generated

    - #### isStorePromptedValue

          public boolean isStorePromptedValue()

      Generated
        NOT

    - #### setStorePromptedValue

          public void setStorePromptedValue(boolean newStorePromptedValue)

      Generated
        NOT

    - #### getStorageURI

          public URI getStorageURI()

      Specified by:
        `getStorageURI` in interface `VariableTask`
      Returns:
        the value of the 'Storage URI' attribute.
      See Also:
        `VariableTask.setStorageURI(URI)`, `SetupPackage.getVariableTask_StorageURI()`
      Generated

    - #### setStorageURI

          public void setStorageURI(URI newStorageURI)

      Specified by:
        `setStorageURI` in interface `VariableTask`
      Parameters:
        `newStorageURI` - the new value of the 'Storage URI' attribute.
      See Also:
        `VariableTask.getStorageURI()`
      Generated

    - #### eInverseRemove

          public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

      Overrides:
        `eInverseRemove` in class `ModelElementImpl`
      Generated

    - #### eGet

          public Object eGet(int featureID,
                    boolean resolve,
                    boolean coreType)

      Specified by:
        `eGet` in interface `InternalEObject`
      Overrides:
        `eGet` in class `SetupTaskImpl`
      Generated

    - #### eSet

          public void eSet(int featureID,
                  Object newValue)

      Specified by:
        `eSet` in interface `InternalEObject`
      Overrides:
        `eSet` in class `SetupTaskImpl`
      Generated

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `InternalEObject`
      Overrides:
        `eUnset` in class `SetupTaskImpl`
      Generated

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `InternalEObject`
      Overrides:
        `eIsSet` in class `SetupTaskImpl`
      Generated

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `SetupTaskImpl`
      Generated
        NOT

    - #### getOverrideToken

          public Object getOverrideToken()

      Description copied from class: `SetupTaskImpl`
      Subclasses may override to indicate that this task overrides another task with the same token.
      Specified by:
        `getOverrideToken` in interface `SetupTask`
      Overrides:
        `getOverrideToken` in class `SetupTaskImpl`
      See Also:
        `SetupTaskImpl.createToken(String)`

    - #### overrideFor

          public void overrideFor(SetupTask overriddenSetupTask)

      Specified by:
        `overrideFor` in interface `SetupTask`
      Overrides:
        `overrideFor` in class `SetupTaskImpl`

    - #### isNeeded

          public boolean isNeeded(SetupTaskContext context)
                           throws Exception

      Specified by:
        `isNeeded` in interface `SetupTask`
      Throws:
        `Exception`

    - #### consolidate

          public void consolidate()

      Specified by:
        `consolidate` in interface `SetupTask`
      Overrides:
        `consolidate` in class `SetupTaskImpl`

    - #### perform

          public void perform(SetupTaskContext context)
                       throws Exception

      Specified by:
        `perform` in interface `SetupTask`
      Throws:
        `Exception`

    - #### eMigrate

          protected void eMigrate()

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html